package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.VAppModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * vApp操作接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年12月1日
 */
public interface VAppProvider extends SuperProvider {

     @Override
     boolean accessable();

    /**
     * 创建vApp
     *
     * @param model
     * @return
     */
     BocloudResult create(VAppModel model);

    /**
     * 修改vApp
     *
     * @param bean
     * @return
     */
     BocloudResult modify(VAppModel bean);

    /**
     * 删除vApp
     *
     * @param vAppName
     * @return
     */
     BocloudResult remove(String vAppName);

     BocloudResult start(String vAppName);

     BocloudResult stop(String vAppName);

     BocloudResult suspend(String vAppName);
}
